> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsteerco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List themes

> List available themes in the workspace.



## OpenAPI

````yaml /openapi.json get /v1/themes
openapi: 3.1.0
info:
  title: Steerco API
  version: 1.0.0
  description: >-
    REST API and MCP server for managing presentations, templates, themes, and
    entities.
servers:
  - url: https://api.getsteerco.com
security: []
paths:
  /v1/themes:
    get:
      summary: List themes
      description: List available themes in the workspace.
      parameters:
        - schema:
            type: string
            description: >-
              The workspace ID. Get available workspaces from GET
              /v1/workspaces.
          required: true
          description: The workspace ID. Get available workspaces from GET /v1/workspaces.
          in: header
          name: X-Workspace-Id
      responses:
        '200':
          description: List of themes
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Theme'
      security:
        - apiKey: []
components:
  schemas:
    Theme:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        layoutCount:
          type: integer
        hasBackgroundImages:
          type: boolean
      required:
        - id
        - name
        - layoutCount
        - hasBackgroundImages
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: API key (ak_ prefix). Generate one from your Steerco profile settings.

````